local LoveUI = nil;
local Object = {}

function Object:load(lib)
	LoveUI=lib;
	LoveUI.class:subclass(self);
	return self;
end

function Object:init()
	return self;
end

function Object:isEqual(anObject)
	-- Returns boolean value that indicates whether the object and anObject are equal.
	return self==anObject;
end
function Object:isSubclassOfClass(aClass)
	--Only works for directly inherited classes.
	local c=self;
	while(c~=nil) do
		
		if c==aClass then
			return true;
		end
		
		c=c.__class;
		
		if c==class and aClass~=class then
			return false;
		end
	end
end
return Object