require 'entities/entList.lua'
require 'libs/mapList.lua'
require 'libs/shapeData.lua'
require 'libs/class.lua'
require 'libs/vector.lua'

function circularExplosion( x, y, radius )
	
	for j = 1, terrainChunk.blockNumW + 1 do
		for i = 1, terrainChunk.blockNumH + 1 do
			if not terrainChunk.Squares[i][j].destroyed then
				local curDist = math.sqrt( (terrainChunk.Squares[i][j].X-offsetX-x)^2+(terrainChunk.Squares[i][j].Y-offsetY-y)^2)
			
				if curDist < radius then
					terrainChunk.Squares[i][j]:destroy()
				end
			end
		end
	end

end